Commit 15a9faba authored by Sean Solari's avatar Sean Solari
Browse files

Update version number in app and github readme

parent 5d4597d3
...@@ -12,6 +12,27 @@ conda install -c bioconda expam ...@@ -12,6 +12,27 @@ conda install -c bioconda expam
#### From PyPI #### From PyPI
***Mac***
You will need a local installation of HDF5. This may already be installed on your machine, but can be installed using Homebrew with the following commands.
```console
brew install pkg-config
brew install hdf5
```
If you encounter any errors, check the FAQ section below for solutions.
Then **upgrade pip** and install expam.
```console
python3 -m pip install --upgrade pip
python3 -m pip install expam
```
***Linux***
You may need to update g++ resources on your local machine. For linux, you can run the following. You may need to update g++ resources on your local machine. For linux, you can run the following.
```console ```console
...@@ -19,7 +40,7 @@ apt update ...@@ -19,7 +40,7 @@ apt update
apt-get install build-essential apt-get install build-essential
``` ```
Then install from PyPi. Then **upgrade pip** and install expam.
```console ```console
python3 -m pip install --upgrade pip python3 -m pip install --upgrade pip
...@@ -76,7 +97,7 @@ See the Quick Start Tutorial for a guide to expam's basic usage and download lin ...@@ -76,7 +97,7 @@ See the Quick Start Tutorial for a guide to expam's basic usage and download lin
**error: g++: Command not found** **error: g++: Command not found**
This is simply a matter of updating the compiler. This is simply a matter of updating the compiler.
```bash ```console
sudo apt-get install build-essential sudo apt-get install build-essential
``` ```
...@@ -85,7 +106,7 @@ sudo apt-get install build-essential ...@@ -85,7 +106,7 @@ sudo apt-get install build-essential
**fatal error: Python.h: No such file or directory** **fatal error: Python.h: No such file or directory**
This simply means you need to install/update the Python development files for version 3. This simply means you need to install/update the Python development files for version 3.
```bash ```console
sudo apt-get install python3-dev sudo apt-get install python3-dev
``` ```
...@@ -93,6 +114,33 @@ sudo apt-get install python3-dev ...@@ -93,6 +114,33 @@ sudo apt-get install python3-dev
<hr> <hr>
**ERROR:: Could not find a local HDF5 installation** (Mac)
Ensure you have HDF5 installed using Homebrew:
```console
brew install pkg-config
brew install hdf5
```
If you see
```console
You may need to explicitly state where your local HDF5 headers and library can be found by setting the ''HDF5_DIR'' environment variable or by using the ''--hdf5'' command-line option.
```
you will need to explicitly set the `HDF5_DIR` environment variable. To see where HDF5 has been installed, run
```console
brew info hdf5
```
You should see something like `/usr/local/Cellar/hdf5/VERSION...` or `/opt/local/Cellar/hdf5/VERSION...` (ie. ignore everything after the complete version, which will have numbers separeted by dots). Then set this environment variable with
```console
HDF5_DIR=/opt/local/Cellar/hdf5/VERSION,
```
replacing this path with your output from `brew info`.
Now retry the installation having set this environment variable.
<hr>
**ete3 importing errors** **ete3 importing errors**
For instance, `ImportError: cannot import name 'NodeStyle'`. For instance, `ImportError: cannot import name 'NodeStyle'`.
......
__version__ = (1, 1, 1) __version__ = (1, 1, 3)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment